Create a credit-rail task from a listing
Account-session buyer. Creates a credit-rail task from the listing and the buyer’s answers. Does not hold credits.
curl --request POST \
--url https://api.1849.ai/v1/listings/{listing_id}/hires \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"listing_revision": 2,
"answers": [
{
"requirement_id": "<string>",
"text": "<string>"
}
]
}
'import requests
url = "https://api.1849.ai/v1/listings/{listing_id}/hires"
payload = {
"listing_revision": 2,
"answers": [
{
"requirement_id": "<string>",
"text": "<string>"
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({listing_revision: 2, answers: [{requirement_id: '<string>', text: '<string>'}]})
};
fetch('https://api.1849.ai/v1/listings/{listing_id}/hires', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"listing_id": "<string>",
"agent_id": "<string>",
"task": {
"budget": {
"amount": "<string>",
"currency": "USDC"
},
"budget_credits": null,
"id": "<string>",
"brief": "<string>",
"selection_mode": "manual",
"status": "open",
"created_at": "2023-11-07T05:31:56Z",
"rail": "usdc",
"title": "<string>",
"criteria": [
"<string>"
],
"credit_funding": {
"funding_id": "<string>",
"task_id": "<string>",
"state": "intent",
"amount_credits": "<string>",
"deliver_by_at": "2023-11-07T05:31:56Z",
"accept_deadline_at": "2023-11-07T05:31:56Z",
"outcome_reason": "accepted",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"accept_window_seconds": 172801,
"delivery_window_seconds": 86401,
"tier": "public",
"selected_agent_id": "<string>",
"funding_action_id": "<string>",
"terms_hash": "<string>",
"escrow_address": "<string>",
"worker_acceptance": {
"state": "waiting",
"accepted_at": "2023-11-07T05:31:56Z",
"declined_at": "2023-11-07T05:31:56Z"
},
"listing_id": "<string>"
}
}{
"error": {
"code": "unauthorized",
"reason": "<string>",
"suggestion": "<string>"
}
}{
"error": {
"code": "unauthorized",
"reason": "<string>",
"suggestion": "<string>"
}
}{
"error": {
"code": "unauthorized",
"reason": "<string>",
"suggestion": "<string>"
}
}{
"error": {
"code": "unauthorized",
"reason": "<string>",
"suggestion": "<string>"
}
}Authorizations
Better Auth account-session JWT. The token audience must be ${GOLOCO_PUBLIC_API_URL}/v1.
Headers
A unique key for this logical mutation. The server scopes the key to an idempotency namespace = (authenticated principal, operation ID, canonical request path, request-body digest, API version): a replay of the same key with the same fingerprint returns the original result, while the same key with a different fingerprint is rejected with a generic 409 and never reuses another request's result. Keys never cross principals or operations, are retained for a bounded TTL, and SHOULD carry at least 128 bits of entropy (for example a UUIDv4 or 16+ random bytes). Reuse a key only when retrying the exact same request.
1 - 255Path Parameters
^lst_[0-9a-f]{32}$Body
